function setWeather () {
    var url="http://xml.weather.yahoo.com/forecastrss/JAXX0079_c.xml";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null); 
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded (request) {
    var elm_channel = findChild(findChild(request.responseXML, "rss"), "channel");
    var elm_yweather_location = findChild(elm_channel, "yweather:location");
    var elm_city = elm_yweather_location.getAttribute("city");
    document.getElementById("city").innerText = elm_city;

    var tag_forecast = request.responseXML.getElementsByTagName("forecast");
    var day, text, high, low;

    for(i=0;i<5;i++) {
      day = tag_forecast[i].getAttribute("day");
      text = tag_forecast[i].getAttribute("text");
      high = tag_forecast[i].getAttribute("high");
      low = tag_forecast[i].getAttribute("low");
      document.getElementById("day"+i).innerText = day;
      document.getElementById("text"+i).innerText = text;
      document.getElementById("temp"+i).innerText = high + " / " + low;
      document.getElementById("forecast"+i).style.backgroundImage = "url('../HTC Widget [HD].theme/Private/WeatherWidget/Private/Icon Sets/HTC/" + tag_forecast[i].getAttribute("code") +".png')";
    }
}
